import { stripSlash } from './router-slot/util.js';
import { umbUrlPatternToString } from '../utils/index.js';
/**
 *
 * @param path
 */
export function umbGenerateRoutePathBuilder(path) {
    return (params) => {
        return '/' + stripSlash(umbUrlPatternToString(path, params)) + '/';
    };
}
/**
 * @deprecated Use `umbGenerateRoutePathBuilder` instead.
 */
export { umbGenerateRoutePathBuilder as umbCreateRoutePathBuilder };
